View Issue Details

IDProjectCategoryView StatusLast Update
0005297CentOS-6perl-Net-DNSpublic2013-11-06 09:20
ReporterFrank Enderle 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
Product Version6.0 
Target VersionFixed in Version 
Summary0005297: Net::DNS fails to delete AAAA RRSets
DescriptionThe module produces an invalid update request to the name server which results in FORMERR from the primary dns. The problem is known and fixed after Net::DNS 0.65. The bug is registered on rt.cpan.org #43770 (https://rt.cpan.org/Public/Bug/Display.html?id=43770). The bug is fixed since Mar 2009.
Steps To Reproduce#!usr/bin/perl -w

use strict;
use Net::DNS;

my $res = Net::DNS::Resolver->new();
$res->nameserver("127.0.0.1");

my $update = Net::DNS::Update->new("some.zone.foo");
$update->push(update => rr_del("host.some.zone.foo AAAA"));

my $reply = $res->send($update);
$reply->print();
TagsNo tags attached.

Activities

tru

tru

2011-12-11 21:12

administrator   ~0013893

Last edited: 2011-12-11 21:13

View 2 revisions

nothing in upstream bugzilla at:
https://bugzilla.redhat.com/buglist.cgi?component=perl-Net-DNS&product=Red%20Hat%20Enterprise%20Linux%206

Could you report it upstream so that it will also be fixed here?

Frank Enderle

Frank Enderle

2011-12-11 21:49

reporter   ~0013894

I filed the bug in the Redhat bug tracker (#766357) to include the fix into upstream.
frood

frood

2013-11-06 09:20

reporter   ~0018301

This is an issue in the version of Net::DNS used in CentOS or RedHat. I just build the newest Net:DNS 0.72 for my setup which works fine. In their changelog (http://www.net-dns.org/docs/Changes.html):

**** 0.66 Dec 30, 2009

...

Fix AAAA dynamic update

    Dynamic update of AAAA caused FORMERR on the prerequisite caused
    by AAAA creating rdata even when an address was never specified.
    This fix may cause difference in behavior for people who expect a

    NULL address ("::") when creating a AAAA without an address
    specified.

Regards
Andi

Issue History

Date Modified Username Field Change
2011-12-10 22:54 Frank Enderle New Issue
2011-12-11 21:12 tru Note Added: 0013893
2011-12-11 21:13 tru Note Edited: 0013893 View Revisions
2011-12-11 21:49 Frank Enderle Note Added: 0013894
2013-11-06 09:20 frood Note Added: 0018301